Bug 107246 - [V8] Remove custom V8ScriptProfileCustom::toV8()
Summary: [V8] Remove custom V8ScriptProfileCustom::toV8()
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kentaro Hara
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-18 02:12 PST by Kentaro Hara
Modified: 2013-01-20 22:09 PST (History)
5 users (show)

See Also:


Attachments
Patch (5.70 KB, patch)
2013-01-18 02:13 PST, Kentaro Hara
no flags Details | Formatted Diff | Diff
patch for landing (5.60 KB, patch)
2013-01-20 21:47 PST, Kentaro Hara
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kentaro Hara 2013-01-18 02:12:35 PST
V8ScriptProfileCustom::toV8() needs not to be custom. Furthermore, the current custom toV8() is wrong in that it doesn't use a creationContext and it doesn't set a wrapper class id. This is one of steps to avoiding ASSERT()s that will be added in https://bugs.webkit.org/show_bug.cgi?id=107137 .
Comment 1 Kentaro Hara 2013-01-18 02:13:54 PST
Created attachment 183410 [details]
Patch
Comment 2 WebKit Review Bot 2013-01-19 01:49:52 PST
Comment on attachment 183410 [details]
Patch

Rejecting attachment 183410 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2 cwd: /mnt/git/webkit-commit-queue

Last 500 characters of output:
hing file Source/WebCore/WebCore.gypi
Hunk #1 FAILED at 1384.
1 out of 1 hunk FAILED -- saving rejects to file Source/WebCore/WebCore.gypi.rej
patching file Source/WebCore/bindings/v8/custom/V8ScriptProfileCustom.cpp
rm 'Source/WebCore/bindings/v8/custom/V8ScriptProfileCustom.cpp'
patching file Source/WebCore/inspector/ScriptProfile.idl

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', '--force', '--reviewer', 'Adam Barth']" exit_code: 1 cwd: /mnt/git/webkit-commit-queue

Full output: http://queues.webkit.org/results/15978106
Comment 3 Kentaro Hara 2013-01-20 21:47:09 PST
Created attachment 183707 [details]
patch for landing
Comment 4 WebKit Review Bot 2013-01-20 22:09:33 PST
Comment on attachment 183707 [details]
patch for landing

Clearing flags on attachment: 183707

Committed r140295: <http://trac.webkit.org/changeset/140295>
Comment 5 WebKit Review Bot 2013-01-20 22:09:38 PST
All reviewed patches have been landed.  Closing bug.